Bug 240572 - Broken link FILL ME IN
Broken link FILL ME IN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Brandon Perkins
:
Depends On:
Blocks: 173427
  Show dependency treegraph
 
Reported: 2007-05-18 10:55 EDT by Jan Pazdziora
Modified: 2007-07-31 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 23:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-05-18 10:55:29 EDT
Description of problem:

I remember that I've seen a broken link

/rhn/systems/details/FILL ME IN

on the title page of the Satellite. It happened after I've upgraded the
satellite and had the monitoring a little bit broken.

Version-Release number of selected component (if applicable):

5.0.0-31

How reproducible:

Seen once. I still have the URL in my browser history.

Steps to Reproduce:
1. Have monitoring broken but some probes already configured.
2. Go to the title page.
3. There somewhere there is this bad link.

Or better:

1. Look into
http://svn.rhndev.redhat.com/viewcvs/trunk/eng/java/code/webapp/WEB-INF/pages/systems/sdc/overview.jsp?rev=115676&view=auto
  
Actual results:

      <c:if test="${probeListEmpty != 'true'}">
        <div class="systeminfo">
          <div class="systeminfo-left">
            <c:choose>
              <c:when test="${probeList[0].state == 'CRITICAL'}">
                <img src="/img/rhn-mon-down.gif"/>  <bean:message
key="sdc.details.overview.probes.critical" arg0="FILL ME IN"/>
              </c:when>
              <c:otherwise>
                <img src="/img/rhn-mon-warning.gif"/>  <bean:message
key="sdc.details.overview.probes.warning" arg0="FILL ME IN"/>
              </c:otherwise>
            </c:choose>
          </div>

Expected results:

The arg0 probably should have some other value.

Additional info:
Comment 1 Jan Pazdziora 2007-05-18 11:09:24 EDT
So, it's on a system oversion page

/rhn/systems/details/Overview.do?sid=1000010001

The reproducer is -- have a probe, make it critical (for example by
/etc/init.d/network stop on that registered system), and there will be

Critical System Health (more info)

and that "more info" will have the link with FILL ME IN.
Comment 2 Devan Goodwin 2007-05-18 15:59:57 EDT
What should "more info" link to here? I'm setting it up for a link to the
system's monitoring page for now, but note that the probe appears beside the
link so I'm not sure if we need "more info" at all here, or if it should point
to a documentation location.
Comment 3 Devan Goodwin 2007-05-19 11:43:46 EDT
Used a link to help instead.

Fixed in revision: 116472

Modified:

trunk/eng/java/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_en_US.xml
trunk/eng/java/code/webapp/WEB-INF/pages/systems/sdc/overview.jsp
Comment 4 Mike McCune 2007-05-21 17:54:56 EDT
ON_QA
Comment 5 Mike McCune 2007-05-21 17:57:38 EDT
ON_QA for real.
Comment 6 Brandon Perkins 2007-05-22 15:14:46 EDT
Verified.  More info points to:
https://rlx-2-06.rhndev.redhat.com/help/reference/s1-sm-monitor.html#S3-SM-MONITOR-STATUS-CURRENT
now.
Comment 7 Miroslav Suchý 2007-06-19 13:10:08 EDT
verified in stage. release pending.
Comment 8 Brandon Perkins 2007-06-25 23:04:29 EDT
Closed for Satellite 500 Release.

Note You need to log in before you can comment on or make changes to this bug.